##
##  odoc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         odoc
Summary:      Extended OpenPKG Documentation Support
URL:          -
Vendor:       OpenPKG
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Bootstrapping
License:      GPL
Version:      0
Release:      20080101

#   list of sources
Source0:      odoc
Source1:      odoc.8
Source2:      odoc.apache

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    Odoc provides the "openpkg odoc" command, that aids in installing
    browsable HTML docs. See "openpkg man odoc" after installation.

%track
    #   no external stuff

%prep
    #   nothing to do

%build
    #   nothing to do

%install
    rm -rf $RPM_BUILD_ROOT

    #   generate temporary installation tree
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/openpkg \
        $RPM_BUILD_ROOT%{l_prefix}/share/openpkg \
        $RPM_BUILD_ROOT%{l_prefix}/share/openpkg/docs

    #   copy files into temporary installation tree
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE odoc} $RPM_BUILD_ROOT%{l_prefix}/libexec/openpkg/
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE odoc.8} $RPM_BUILD_ROOT%{l_prefix}/libexec/openpkg/
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE odoc.apache} $RPM_BUILD_ROOT%{l_prefix}/share/openpkg/docs/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ $1 -eq 1 ]; then
        #   hook into OpenPKG bootstrap
        echo "%%l_odoc %%""{l_prefix}/libexec/openpkg/odoc" | \
        %{l_rpmtool} config \
            -a -i "$RPM_INSTALL_PREFIX:odoc" $RPM_INSTALL_PREFIX/etc/openpkg/rpmmacros
    fi
    exit 0

%postun
    if [ $1 -eq 0 ]; then
        #   unhook from OpenPKG bootstrap
        %{l_rpmtool} config \
            -r -i "$RPM_INSTALL_PREFIX:odoc" $RPM_INSTALL_PREFIX/etc/openpkg/rpmmacros
    fi
    exit 0

#   make it more (re|in)sistant against openpkg's with new rpmmacros
%triggerin -- openpkg
    if [ $1 -eq 1 ]; then
        #   hook into OpenPKG bootstrap
        echo "%%l_odoc %%""{l_prefix}/libexec/openpkg/odoc" | \
        %{l_rpmtool} config \
            -a -i "$RPM_INSTALL_PREFIX:odoc" $RPM_INSTALL_PREFIX/etc/openpkg/rpmmacros
    fi
    exit 0

